Package uk.ac.starlink.table.join

## Class LinkGroup

- java.lang.Object
- - uk.ac.starlink.table.join.LinkGroup

- All Implemented Interfaces:
    `java.lang.Comparable<LinkGroup>`

      public class LinkGroup
      extends java.lang.Object
      implements java.lang.Comparable<LinkGroup>

  Defines a group of RowLink objects. This object is just a label, containing a unique ID and a count of how many links there are in the group. It does not contain references to the constituent RowLinks themselves.
  Since:
    7 Sep 2005
  Author:
    Mark Taylor
  See Also:
    `MatchStarTables.findGroups(uk.ac.starlink.table.join.LinkSet)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkGroup​(int id, int size)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(LinkGroup other)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getID()` | Returns this group's ID.
    `int` | `getSize()` | Returns this group's size.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkGroup

          public LinkGroup​(int id,
                           int size)

      Constructor.
      Parameters:
        `id` - unique identifier
        `size` - number of objects in this group

  - ### Method Detail

    - #### getID

          public int getID()

      Returns this group's ID.
      Returns:
        id

    - #### getSize

          public int getSize()

      Returns this group's size.
      Returns:
        number of items in this group

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(LinkGroup other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<LinkGroup>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`